WIDEX REMOTE CARE™ APP COMPATIBILITY

Apple devices
  • iPhone XS Max
  • iPhone XS
  • iPhone XR
  • iPhone X
  • iPhone 8 Plus
  • iPhone 8
  • iPhone 7 Plus
  • iPhone 7
  • iPhone 6s Plus
  • iPhone 6s
  • iPhone 6 Plus

  • iPad (2017, 5th generation)
  • iPad mini (4th generation)
  • iPad Pro 11"
  • iPad Pro 12.9"
  • iPad Pro 10.5"
  • iPad Air 2

Android devices
  • Samsung Galaxy S9+
  • Samsung Galaxy S9
  • Samsung Galaxy S8+
  • Samsung Galaxy S8
  • Samsung Galaxy S7
  • Samsung Galaxy S7 Edge
  • Samsung Galaxy S6
  • Samsung Galaxy S6 Edge
  • Samsung Galaxy S5
  • Samsung Galaxy A5 (2017)
  • Samsung Galaxy J5
  • Samsung Galaxy Note 8

  • Huawei Nexus 6P
  • Huawei P10
  • Huawei Mate10 Pro
  • Google Pixel 2 XL
  • Google Pixel 2
  • Sony Xperia XZ Premium
  • Sony Xperia XZ
Compatible systems requirement
  • Apple: iOS 11.x and 12.x
  • Android: OS version 6.01 or later
The REMOTE CARE™ app solution is designed and tested with the above mentioned devices and operating systems.

If your Apple or Android device is not mentioned in the supported device list/ or has a non-supported operating system, the functionality of the app is not guaranteed.